// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.34.2
// 	protoc        (unknown)
// source: serial/v0alpha/cache.proto

package v0alpha

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Cache serves as the disk storage for the local application.
// It is responsible for storing minimal user information,
// and vault data.
type Cache struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Identifies this cache. Should be the same as the file name.
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// Data to be stored in a byte format.
	Data []byte `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty"`
	// Secret token encrypted with password as the key.
	Password []byte `protobuf:"bytes,3,opt,name=password,proto3" json:"password,omitempty"`
	// Secret token encrypted with the generated passphrase as the key.
	Passphrase []byte `protobuf:"bytes,4,opt,name=passphrase,proto3" json:"passphrase,omitempty"`
}

func (x *Cache) Reset() {
	*x = Cache{}
	if protoimpl.UnsafeEnabled {
		mi := &file_serial_v0alpha_cache_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Cache) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Cache) ProtoMessage() {}

func (x *Cache) ProtoReflect() protoreflect.Message {
	mi := &file_serial_v0alpha_cache_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Cache.ProtoReflect.Descriptor instead.
func (*Cache) Descriptor() ([]byte, []int) {
	return file_serial_v0alpha_cache_proto_rawDescGZIP(), []int{0}
}

func (x *Cache) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Cache) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *Cache) GetPassword() []byte {
	if x != nil {
		return x.Password
	}
	return nil
}

func (x *Cache) GetPassphrase() []byte {
	if x != nil {
		return x.Passphrase
	}
	return nil
}

var File_serial_v0alpha_cache_proto protoreflect.FileDescriptor

var file_serial_v0alpha_cache_proto_rawDesc = []byte{
	0x0a, 0x1a, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2f, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61,
	0x2f, 0x63, 0x61, 0x63, 0x68, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0e, 0x73, 0x65,
	0x72, 0x69, 0x61, 0x6c, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x22, 0x67, 0x0a, 0x05,
	0x43, 0x61, 0x63, 0x68, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0c, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x61, 0x73,
	0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x08, 0x70, 0x61, 0x73,
	0x73, 0x77, 0x6f, 0x72, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x70, 0x61, 0x73, 0x73, 0x70, 0x68, 0x72,
	0x61, 0x73, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x0a, 0x70, 0x61, 0x73, 0x73, 0x70,
	0x68, 0x72, 0x61, 0x73, 0x65, 0x42, 0xc2, 0x01, 0x0a, 0x12, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x65,
	0x72, 0x69, 0x61, 0x6c, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x42, 0x0a, 0x43, 0x61,
	0x63, 0x68, 0x65, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x47, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x68, 0x61, 0x76,
	0x65, 0x6e, 0x2f, 0x6d, 0x79, 0x70, 0x61, 0x73, 0x73, 0x2f, 0x67, 0x6f, 0x2e, 0x6b, 0x65, 0x65,
	0x70, 0x73, 0x61, 0x66, 0x65, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2f, 0x76, 0x30, 0x61, 0x6c,
	0x70, 0x68, 0x61, 0xa2, 0x02, 0x03, 0x53, 0x56, 0x58, 0xaa, 0x02, 0x0e, 0x53, 0x65, 0x72, 0x69,
	0x61, 0x6c, 0x2e, 0x56, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0xca, 0x02, 0x0e, 0x53, 0x65, 0x72,
	0x69, 0x61, 0x6c, 0x5c, 0x56, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0xe2, 0x02, 0x1a, 0x53, 0x65,
	0x72, 0x69, 0x61, 0x6c, 0x5c, 0x56, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x5c, 0x47, 0x50, 0x42,
	0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x0f, 0x53, 0x65, 0x72, 0x69, 0x61,
	0x6c, 0x3a, 0x3a, 0x56, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_serial_v0alpha_cache_proto_rawDescOnce sync.Once
	file_serial_v0alpha_cache_proto_rawDescData = file_serial_v0alpha_cache_proto_rawDesc
)

func file_serial_v0alpha_cache_proto_rawDescGZIP() []byte {
	file_serial_v0alpha_cache_proto_rawDescOnce.Do(func() {
		file_serial_v0alpha_cache_proto_rawDescData = protoimpl.X.CompressGZIP(file_serial_v0alpha_cache_proto_rawDescData)
	})
	return file_serial_v0alpha_cache_proto_rawDescData
}

var file_serial_v0alpha_cache_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_serial_v0alpha_cache_proto_goTypes = []any{
	(*Cache)(nil), // 0: serial.v0alpha.Cache
}
var file_serial_v0alpha_cache_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_serial_v0alpha_cache_proto_init() }
func file_serial_v0alpha_cache_proto_init() {
	if File_serial_v0alpha_cache_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_serial_v0alpha_cache_proto_msgTypes[0].Exporter = func(v any, i int) any {
			switch v := v.(*Cache); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_serial_v0alpha_cache_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_serial_v0alpha_cache_proto_goTypes,
		DependencyIndexes: file_serial_v0alpha_cache_proto_depIdxs,
		MessageInfos:      file_serial_v0alpha_cache_proto_msgTypes,
	}.Build()
	File_serial_v0alpha_cache_proto = out.File
	file_serial_v0alpha_cache_proto_rawDesc = nil
	file_serial_v0alpha_cache_proto_goTypes = nil
	file_serial_v0alpha_cache_proto_depIdxs = nil
}
